package RPM::Source::SpecConst;

use strict;
use warnings;

require Exporter;
our @ISA = qw(Exporter);
our @EXPORT_OK = qw(%SECTION %SCRIPT_SECTION %SHARED_SECTION);

our $VERSION=0.001;

use vars qw/%SECTION %SCRIPT_SECTION %SHARED_SECTION/;

%SECTION=map {$_=>1} qw!
package
description
prep
build
install
check
clean
files
changelog
pre
post
preun
postun
pretrans
posttrans
trigger
triggerprein
triggerin
triggerun
triggerpostun
filetriggerin
filetriggerun
filetriggerpostun
transfiletriggerin
transfiletriggerun
transfiletriggerpostun
!;

# used in R::S::C::Generic2ALT; R::S::Editor
%SCRIPT_SECTION=map {$_=>1} qw!
pre
post
preun
postun
pretrans
posttrans
trigger
triggerprein
triggerin
triggerun
triggerpostun
filetriggerin
filetriggerun
filetriggerpostun
transfiletriggerin
transfiletriggerun
transfiletriggerpostun
!;

%SHARED_SECTION=map {$_=>1} qw!
prep
build
install
check
clean
changelog
!;

1;
