package RPM::Source::Transformation::MessageBus;

use strict;
use warnings;
use Carp;

use Tie::Hash;
our @ISA=qw(Tie::StdHash);

our $VERSION=0.001;

sub register {
    my $key=$_[1];
    Carp::cluck "MessageBus: while registering: conflict for $key: already $_[0]{$_[1]}" if defined $_[0]{$_[1]};
#$extopt->{$key}=$val;
    $_[0]{$_[1]} = $_[2]
}

sub TIEHASH {
    my $storage = bless {}, shift;
    #warn "New ReportHash created, stored in $storage.\n";
    $storage
}

sub STORE {
    Carp::carp "MessageBus: an attempt to store an unregistered key $_[1]" if not exists $_[0]{$_[1]};
    $_[0]{$_[1]} = $_[2]
}

sub FETCH {
    #warn "Storing data with key $_[1] at $_[0].\n";
#    warn "Storing data with key $_[1] at $_[0].\n" unless exists $_[0]{$_[1]};
    Carp::carp "MessageBus: an attempt to fetch an unregistered key $_[1]" if not exists $_[0]{$_[1]};
    return $_[0]{$_[1]}
}


1;
