package RPM::Source::Transformation::Component;

use strict;
use warnings;

use Source::Shared::CLI;
use RPM::Source::TransformContainer;
use RPM::Source::Transformation::OptHandlerWrapper;

our $VERSION=0.033;
our @ISA=qw(Source::Shared::CLI);

# message bus (used in support classes and transformation resources and factories)
sub register_messages {}

## opt is a Tie::StdHash object with key check
## see mk_opt
sub add_opt {
    my ($extopt,$intopt)=@_;
    my $messager=tied (%$extopt);
    while (my ($key, $val)=each (%$intopt)) {
	$messager->register($key,$val);
    }
}

1;
