package RPM::Source::Transformation::Component::InputNameCommon;

use strict;
use warnings;

use RPM::Source::Transform;
use RPM::Source::Transformation::Component;
our @ISA=qw/RPM::Source::Transformation::Component/;

push @RPM::Source::TransformContainer::SUPPORT_CLASSES, __PACKAGE__;

our $verbose=0;

sub register_messages {
    my ($self,$extopt)=@_;
    RPM::Source::Transformation::Component::add_opt($extopt, {
	# shared for InputHandlers
	-input_handler_arg_input_name => undef,
	-input_handler_arg_input_nvr => undef,
	# shared for Name2Spec providers
	-name2spec_provided_nvr => undef,
    });
}

1;
