package RPM::Source::Transformation::EarlyResource;

use strict;
use warnings;

use Source::Shared::Resource;
use RPM::Source::TransformContainer;
use Source::Shared::CLI;
our @ISA=qw/Source::Shared::CLI/;
1;
__END__

Unlike the Transformation::Resource, Transformation::EarlyResource
is an object cache stored inside of Source::Shared::Resource
that does not need prepare_resource/destroy_resource,
created for each transform_once,
initialized during call to the provided method,
destroyed together with the Source::Shared::Resource instance.

Thus, Transformation::EarlyResource can be used in InputHandler
whereas Transformation::Resource can not.

